petsc-3.4.2 2013-07-02

# PetscStrstr

Locates first occurance of string in another string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrstr(const char haystack[],const char needle[],char *tmp[])

Not Collective

### Input Parameters

| haystack | - string to search
| needle | - string to find

### Output Parameter

tmp -location of occurance, is a NULL if the string is not found

Notes: Not for use in Fortran

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex47cu.cu.html